"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Disputes = void 0;
const baseResource_1 = require("./baseResource");
class Disputes extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/disputes", config);
    }
    async get(id) {
        return await this.httpGet(`/${id}`);
    }
    async list(params) {
        const parameters = {
            "page[limit]": ((params === null || params === void 0 ? void 0 : params.limit) ? params === null || params === void 0 ? void 0 : params.limit : 100),
            "page[offset]": ((params === null || params === void 0 ? void 0 : params.offset) ? params === null || params === void 0 ? void 0 : params.offset : 0),
            ...((params === null || params === void 0 ? void 0 : params.query) && { "filter[query]": params === null || params === void 0 ? void 0 : params.query }),
        };
        return this.httpGet("", { params: parameters });
    }
}
exports.Disputes = Disputes;
